/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 1, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.applicationservices.coregraphics.CGEventSource;

import dstep.applicationservices.coregraphics.CGEventTypes;
import dstep.applicationservices.coregraphics.CGRemoteOperation;

extern (C)
{
	uint CGEventSourceGetTypeID ();
	CGEventSourceRef CGEventSourceCreate (uint sourceState);
	uint CGEventSourceGetKeyboardType (CGEventSourceRef source);
	void CGEventSourceSetKeyboardType (CGEventSourceRef source, uint keyboardType);
	void CGEventSourceSetPixelsPerLine (CGEventSourceRef source, double pixelsPerLine);
	double CGEventSourceGetPixelsPerLine (CGEventSourceRef source);
	uint CGEventSourceGetSourceStateID (CGEventSourceRef source);
	bool CGEventSourceButtonState (uint sourceState, uint button);
	bool CGEventSourceKeyState (uint sourceState, ushort key);
	ulong CGEventSourceFlagsState (uint sourceState);
	double CGEventSourceSecondsSinceLastEventType (uint source, uint eventType);
	uint CGEventSourceCounterForEventType (uint source, uint evType);
	void CGEventSourceSetUserData (CGEventSourceRef source, long userData);
	long CGEventSourceGetUserData (CGEventSourceRef source);
	void CGEventSourceSetLocalEventsFilterDuringSuppressionState (CGEventSourceRef source, uint filter, uint state);
	uint CGEventSourceGetLocalEventsFilterDuringSuppressionState (CGEventSourceRef source, uint state);
	void CGEventSourceSetLocalEventsSuppressionInterval (CGEventSourceRef source, double seconds);
	double CGEventSourceGetLocalEventsSuppressionInterval (CGEventSourceRef source);
}