/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 3, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.foundation.NSAutoreleasePool;

import dstep.foundation.NSObject;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc : id;

class NSAutoreleasePool : NSObject
{
	mixin ObjcWrap;
	mixin TNSAutoreleasePoolDebugging;

	static void addObject (Object anObject)
	{
		return invokeObjcSelfClass!(void, "addObject:", Object)(anObject);
	}

	void addObject (Object anObject)
	{
		return invokeObjcSelf!(void, "addObject:", Object)(anObject);
	}

	void drain ()
	{
		return invokeObjcSelf!(void, "drain");
	}
}

