/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.security.SecPolicySearch;

import dstep.security.SecBase;
import dstep.security.cssmtype;

struct OpaquePolicySearchRef;

alias OpaquePolicySearchRef* SecPolicySearchRef;

extern (C)
{
	uint SecPolicySearchGetTypeID ();
	int SecPolicySearchCreate (uint certType, CSSM_OID* policyOID, CSSM_DATA* value, SecPolicySearchRef* searchRef);
	int SecPolicySearchCopyNext (SecPolicySearchRef searchRef, SecPolicyRef* policyRef);
}